package auction.dao;

import auction.model.Bid;
import auction.model.Item;

import java.util.List;

/**
 * {@link Item } specific data access object.
 *
 * @author Lamon Gray
 */
public class ItemDAOImpl extends GenericDAOImpl<Item, Long> implements ItemDAO {



	public Item fetchWithBids(Item item) {
		return (Item) em
				.createQuery("select i from Item i left join fetch i.bids where i = :item")
				.setParameter("item", item)
				.getSingleResult();
	}

}
