package auction.dao;

import auction.model.Users;


/**
 * Business DAO operations related to the <tt>User</tt> entity.
 *
 * @see auction.model.Users
 *
 * @author Sebastian Hennebrueder
 */
public interface UserDAO extends GenericDAO<Users, Long> {
	/**
	 * Finds a user by the given name
	 * @param name
	 * @return
	 */
	Users findByName(String name);
}
