package auction.service;

import auction.dao.ItemDAO;
import auction.model.Item;
import com.jboss.transactions.Transactional;

import javax.inject.Inject;

/**
 * @author Sebastian Hennebrueder
 */
public class AuctionServiceImpl implements AuctionService {
	private ItemDAO itemDAO;

	@Inject
	public AuctionServiceImpl(ItemDAO itemDAO) {
		this.itemDAO = itemDAO;
	}

	@Override
	@Transactional
	public void create(Item item) {
		itemDAO.persistent(item);
	}
}
