package auction.dao;


import auction.model.Category;

import java.util.List;

/**
 * Business DAO operations related to the <tt>Category</tt> entity.
 *
 * @see auction.model.Category
 *
 * @author Lamon Gray
 */
public interface CategoryDAO extends GenericDAO<Category, Long> {

    public List<Category> findAll(boolean onlyRootCategories);

}
