package auction.dao;

import auction.model.User;


/**
 * Business DAO operations related to the <tt>User</tt> entity.
 *
 * @see auction.model.User
 *
 * @author Sebastian Hennebrueder
 */
public interface UserDAO extends GenericDAO<User, Long> {
	/**
	 * Finds a user by the given name
	 * @param name
	 * @return
	 */
	User findByName(String name);
}
