package auction.exceptions;

/**
 * This exception is used to mark access violations.
 *
 * @author Lamon Gray
 */
public class PermissionException
	extends RuntimeException {

	private static final long serialVersionUID = 6232214204714254255L;

	public PermissionException() {}

	public PermissionException(String message) {
		super(message);
	}

	public PermissionException(String message, Throwable cause) {
		super(message, cause);
	}

	public PermissionException(Throwable cause) {
		super(cause);
	}
}
