package auction.service;

import auction.model.Bid;
import auction.model.Category;
import auction.model.Item;

/**
 * @author Sebastian Hennebrueder
 */
public interface AuctionService {
	/**
	 * Creates an auction
	 * @param item
	 */
	void create(Item item);

	void placeBid(Bid bid);


	/**
	 * Persists a category
	 * @param category
	 */
	void create(Category category);
}
