package auction.dao;


import auction.model.Users;

import java.util.List;

/**
 * {@link Users} specific data access object.
 *
 * @author Lamon Gray
 */
public class UserDAOImpl extends GenericDAOImpl<Users, Long> implements UserDAO {

	@Override
	public Users findByName(String name) {
		final List<Users> list = em.createQuery("select u from Users u where u.username = :name", Users.class).setParameter("name",
				name).getResultList();
		return returnSingleOrNull(list);
	}

}
