package auction.dao;

import auction.model.*;

import java.util.*;

/**
 * Business DAO operations related to the <tt>BillingDetails</tt> entity.
 * <p>
 * @see auction.model.BillingDetails
 * @see auction.model.CreditCard
 * @see auction.model.BankAccount
 *
 * @author Lamon Gray
 */
public interface BillingDetailsDAO extends GenericDAO<BillingDetails, Long> {

    public List<BillingDetails> findConcrete(Class<?> concreteClass);

}
