package auction.dao;

import auction.model.BillingDetails;

import java.util.List;

/**
 * {@link BillingDetails} specific data access object.
 *
 * @author Lamon Gray
 */

public class BillingDetailsDAOImpl
        extends GenericDAOImpl<BillingDetails, Long>
        implements  BillingDetailsDAO {

    @SuppressWarnings("unchecked")
    public List<BillingDetails> findConcrete(Class concreteClass) {
        return em
                .createQuery("select c from " + concreteClass.getName() + " c").getResultList();
    }
}
