package auction.exceptions;

/**
 * This exception is used to mark business rule violations.
 *
 * @author Lamon Gray
 */
public class BusinessException
	extends RuntimeException {

	private static final long serialVersionUID = 1440793832689992484L;

	public static final String ERROR_MSG = "business_error_msg";

	public BusinessException() {}

	public BusinessException(String message) {
		super(message);
	}

	public BusinessException(String message, Throwable cause) {
		super(message, cause);
	}

	public BusinessException(Throwable cause) {
		super(cause);
	}
}
