package auction.model;

/**
 * A simple enumeration.
 *
 * @author Lamon Gray
 */
public enum CreditCardType {

	MASTERCARD("Mastercard"),
	VISA("Visa"),
	AMEX("American Express");

	private final String debugName;

	private CreditCardType(String debugName) {
		this.debugName = debugName;
	}

	public String toString() {
		return debugName;
	}

}