package auction.model;

import java.util.Date;
import javax.persistence.metamodel.CollectionAttribute;
import javax.persistence.metamodel.ListAttribute;
import javax.persistence.metamodel.SetAttribute;
import javax.persistence.metamodel.SingularAttribute;
import javax.persistence.metamodel.StaticMetamodel;

@StaticMetamodel(Item.class)
public abstract class Item_ {

	public static volatile SingularAttribute<Item, Date> startDate;
	public static volatile SingularAttribute<Item, ItemState> state;
	public static volatile SingularAttribute<Item, Bid> successfulBid;
	public static volatile SingularAttribute<Item, Date> endDate;
	public static volatile ListAttribute<Item, Bid> bids;
	public static volatile SingularAttribute<Item, User> approvedBy;
	public static volatile SingularAttribute<Item, User> seller;
	public static volatile SingularAttribute<Item, Integer> version;
	public static volatile SingularAttribute<Item, Long> id;
	public static volatile SetAttribute<Item, CategorizedItem> categorizedItems;
	public static volatile SingularAttribute<Item, Date> approvalDatetime;
	public static volatile SingularAttribute<Item, MonetaryAmount> initialPrice;
	public static volatile SingularAttribute<Item, Date> created;
	public static volatile SingularAttribute<Item, String> description;
	public static volatile SingularAttribute<Item, String> name;
	public static volatile SingularAttribute<Item, User> buyer;
	public static volatile CollectionAttribute<Item, String> images;
	public static volatile SetAttribute<Item, Category> categories;
	public static volatile ListAttribute<Item, Comment> comments;

}

