package auction.model;

/**
 * @author Sebastian Hennebrueder
 */
public class UserReport {
    private String name;
    private long items;
    private long categories;

    /**
     *
     * @param name - user name
     * @param items - number of items
     * @param categories - number of categories
     */
    public UserReport(String name, long items, long categories) {
        this.name = name;
        this.items = items;
        this.categories = categories;
    }

    public String getName() {
        return name;
    }

    public long getItems() {
        return items;
    }

    public long getCategories() {
        return categories;
    }

    @Override
    public String toString() {
        return "UserReport{" +
                "name='" + name + '\'' +
                ", items=" + items +
                ", categories=" + categories +
                '}';
    }
}
